kobject_create_and_add
Prev | Kernel objects manipulation | Next

## Name

kobject_create_and_add — create a struct kobject dynamically and register it with sysfs

## Synopsis

`struct kobject * kobject_create_and_add (` | const char * | name,
| struct kobject * | parent`)`;

## Arguments

`name`

  the name for the kset

`parent`

  the parent kobject of this kobject, if any.

## Description

This function creates a kobject structure dynamically and registers it with sysfs. When you are finished with this structure, call `kobject_put` and the structure will be dynamically freed when it is no longer being used.

If the kobject was not able to be created, NULL will be returned.

Prev | Up | Next
kobject_put | Home | kset_register